package Tests::exec;

use Tests::Base;
@ISA = qw( Tests::Base );

sub execute
{
	my $self = shift;

	# Use this to execute a remote probe
	return( $self -> probe_return( undef, 
		$self -> opt( 'command' ) || '', 
		$self -> opt( 'args' ) || '' )
	);
}

1;

__END__

=head1 NAME

Tests::exec - requests a command line be run remotely, requires probe

=head1 SYNOPSIS

	<exec command="command" args="arg arg arg"/>

=head1 DESCRIPTION

Executes a command on a remote host.  Useless as a test, but can be used in chaining "onfail"
commands to try and recover from an error condition, i.e. if no sendmail is running then
start it back up.

=head2 command

The command to execute, i.e. /usr/sbin/sendmail

=head2 args

Arguments for command, i.e. -bd -q15m

=head1 SEE ALSO

sentinel, probe, librarian, sentinel.conf

=head1 AUTHOR

Steve Slaven - http://hoopajoo.net
